Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job.entry
Class JobEntryCopy

    java.lang.Object
      org.pentaho.di.job.entry.JobEntryCopy

All Implemented Interfaces:
  Cloneable, ChangedFlagInterface, org.pentaho.di.core.gui.GUIPositionInterface, org.pentaho.di.core.xml.XMLInterface

    public class JobEntryCopy

extends Object
implements Cloneable, org.pentaho.di.core.xml.XMLInterface, org.pentaho.di.core.gui.GUIPositionInterface, ChangedFlagInterface

This class describes the fact that a single JobEntry can be used multiple times in the same Job. Therefor it contains a link to a JobEntry, a position, a number, etc.

Since:
  01-10-2003
Author:
  Matt

Constructor Summary
`JobEntryCopy()`
`JobEntryCopy(org.pentaho.di.core.logging.LogWriter log)` Deprecated. Log is no longer required.
`JobEntryCopy(org.pentaho.di.core.logging.LogWriter log, JobEntryInterface entry)`
`JobEntryCopy(org.pentaho.di.core.logging.LogWriter log, Repository rep, long id_job, long id_jobentry_copy, List<JobEntryInterface> jobentries, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers)` Load the chef graphical entry from repository We load type, name & description if no entry can be found.
`JobEntryCopy(Node entrynode, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers, Repository rep)`

Method Summary
`void` | `clear()`
`Object` | `clone_deep()`
`Object` | `clone()`
`boolean` | `equals(Object o)`
`boolean` | `evaluates()`
`void` | `flipSelected()`
`String` | `getDescription()`
`JobEntryInterface` | `getEntry()`
`long` | `getID()`
`JobEntryType` | `getJobEntryType()`
`org.pentaho.di.core.gui.Point` | `getLocation()`
`String` | `getName()`
`int` | `getNr()`
`static JobEntryType` | `getType(String dsc)`
`String` | `getTypeDesc()`
`static String` | `getTypeDesc(int ty)`
`static String` | `getTypeDesc(JobEntryInterface ty)`
`String` | `getXML()`
`boolean` | `hasChanged()`
`boolean` | `isDrawn()`
`boolean` | `isDummy()`
`boolean` | `isEvaluation()`
`boolean` | `isJob()`
`boolean` | `isLaunchingInParallel()`
`boolean` | `isMail()`
`boolean` | `isSelected()`
`boolean` | `isSpecial()`
`boolean` | `isSQL()`
`boolean` | `isStart()`
`boolean` | `isTransformation()`
`boolean` | `isUnconditional()`
`void` | `replaceMeta(JobEntryCopy jobEntryCopy)`
`boolean` | `resetErrorsBeforeExecution()`
`void` | `saveRep(Repository rep, long id_job)`
`void` | `setChanged()`
`void` | `setChanged(boolean ch)`
`void` | `setDescription(String description)`
`void` | `setDrawn()`
`void` | `setDrawn(boolean d)`
`void` | `setEntry(JobEntryInterface je)`
`void` | `setID(long id)`
`void` | `setLaunchingInParallel(boolean p)`
`void` | `setLocation(int x, int y)`
`void` | `setLocation(org.pentaho.di.core.gui.Point loc)`
`void` | `setName(String name)`
`void` | `setNr(int n)`
`void` | `setSelected(boolean sel)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobEntryCopy

    public JobEntryCopy()

### JobEntryCopy

    public JobEntryCopy(org.pentaho.di.core.logging.LogWriter log)

  Deprecated. Log is no longer required.

  Parameters:
    `log` -

### JobEntryCopy

    public JobEntryCopy(org.pentaho.di.core.logging.LogWriter log,
                        JobEntryInterface entry)

### JobEntryCopy

    public JobEntryCopy(Node entrynode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers,
                        Repository rep)
                 throws org.pentaho.di.core.exception.KettleXMLException

Throws:
  `org.pentaho.di.core.exception.KettleXMLException`

### JobEntryCopy

    public JobEntryCopy(org.pentaho.di.core.logging.LogWriter log,
                        Repository rep,
                        long id_job,
                        long id_jobentry_copy,
                        List<JobEntryInterface> jobentries,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers)
                 throws org.pentaho.di.core.exception.KettleException

  Load the chef graphical entry from repository We load type, name & description if no entry can be found.

  Parameters:
    `log` - the logging channel
    `rep` - the Repository
    `id_job` - The job ID
    `id_jobentry_copy` - The jobentry copy ID
    `jobentries` - A list with all jobentries
    `databases` - A list with all defined databases
  Throws:
    `org.pentaho.di.core.exception.KettleException`

Method Detail

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `org.pentaho.di.core.xml.XMLInterface`

### saveRep

    public void saveRep(Repository rep,
                        long id_job)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### clear

    public void clear()

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### replaceMeta

    public void replaceMeta(JobEntryCopy jobEntryCopy)

### clone_deep

    public Object clone_deep()

### setID

    public void setID(long id)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### getID

    public long getID()

### setEntry

    public void setEntry(JobEntryInterface je)

### getEntry

    public JobEntryInterface getEntry()

### getJobEntryType

    public JobEntryType getJobEntryType()

### getTypeDesc

    public String getTypeDesc()

  Returns:
    entry in JobEntryInterface.typeCode[] for native jobs, entry.getTypeCode() for plugins

### setLocation

    public void setLocation(int x,
                            int y)

  Specified by:
    `setLocation` in interface `org.pentaho.di.core.gui.GUIPositionInterface`

### setLocation

    public void setLocation(org.pentaho.di.core.gui.Point loc)

  Specified by:
    `setLocation` in interface `org.pentaho.di.core.gui.GUIPositionInterface`

### getLocation

    public org.pentaho.di.core.gui.Point getLocation()

  Specified by:
    `getLocation` in interface `org.pentaho.di.core.gui.GUIPositionInterface`

### setChanged

    public void setChanged()

  Specified by:
    `setChanged` in interface `ChangedFlagInterface`

### setChanged

    public void setChanged(boolean ch)

  Specified by:
    `setChanged` in interface `ChangedFlagInterface`

### hasChanged

    public boolean hasChanged()

  Specified by:
    `hasChanged` in interface `ChangedFlagInterface`

### getNr

    public int getNr()

### setNr

    public void setNr(int n)

### setLaunchingInParallel

    public void setLaunchingInParallel(boolean p)

### isDrawn

    public boolean isDrawn()

### setDrawn

    public void setDrawn()

### setDrawn

    public void setDrawn(boolean d)

### isLaunchingInParallel

    public boolean isLaunchingInParallel()

### getType

    public static final JobEntryType getType(String dsc)

### getTypeDesc

    public static final String getTypeDesc(int ty)

### getTypeDesc

    public static final String getTypeDesc(JobEntryInterface ty)

### setSelected

    public void setSelected(boolean sel)

  Specified by:
    `setSelected` in interface `org.pentaho.di.core.gui.GUIPositionInterface`

### flipSelected

    public void flipSelected()

### isSelected

    public boolean isSelected()

  Specified by:
    `isSelected` in interface `org.pentaho.di.core.gui.GUIPositionInterface`

### setDescription

    public void setDescription(String description)

### getDescription

    public String getDescription()

### isStart

    public boolean isStart()

### isDummy

    public boolean isDummy()

### isTransformation

    public boolean isTransformation()

### isJob

    public boolean isJob()

### evaluates

    public boolean evaluates()

### isUnconditional

    public boolean isUnconditional()

### isEvaluation

    public boolean isEvaluation()

### isMail

    public boolean isMail()

### isSQL

    public boolean isSQL()

### isSpecial

    public boolean isSpecial()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getName

    public String getName()

### setName

    public void setName(String name)

### resetErrorsBeforeExecution

    public boolean resetErrorsBeforeExecution()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD